# Filename: pl_centroid.py
# Purpose: Gets the centroid of a polyline.
# Returns: Point.

from maptek import vulcan_gui

# use dynamic selection to select correct object
sel = vulcan_gui.selection("Select layer object.")
sel.criteria = ["LINE", "POLYGON"]  # limit selection to a polyline object
sel.single_object = True  # prevents selection prompt from asking more than once

for obj in sel:
    obj_name = obj.get_name()  # get name of object
    pt = obj.centroid()  # get the centroid of a polyline. 

    print(f"Centroid of {obj_name}: {pt}")